# IMFExDropCandidate Struct Reference
[MCFrame]

Inheritance diagram for IMFExDropCandidate:

List of all members.

## Public Member Functions
virtual MCCOMErr MCCOMAPI | GetData (IDType inFlavor, MFDragDropType inMoveOrCopy, void **outData)=0
virtual void MCCOMAPI | GetOrigin (void **outOrigin)=0
virtual void MCCOMAPI | GetOfferedFlavors (TMFDragFlavors &outFlavors)=0
virtual void MCCOMAPI | PrepareToDrag ()=0
virtual void MCCOMAPI | FinishedDrag (boolean inSuccessful)=0
virtual void MCCOMAPI | OnNoDrag ()=0
virtual boolean MCCOMAPI | NeedToBeDropedOnTree (IDType inFlavor, MFDragDropType inMoveOrCopy)=0

## Detailed Description

IMFExDropCandidate is the interface for a drop candidate. A drop candidate is the object that excapsulate that object that is drag and dropped.

To create your own drop candiate, you should derive your object from TBasicDropCandidate that provides a default implementation of IMFExDropCandidate. The family ID for a drop area is 'drpC'.

## Member Function Documentation

virtual void MCCOMAPI IMFExDropCandidate::FinishedDrag | ( | boolean | inSuccessful | ) | `[pure virtual]`

Called at the end of the drap.

Parameters:

  | inSuccessful | True ifthe drop was successful.

Implemented in TBasicDropCandidate.

virtual MCCOMErr MCCOMAPI IMFExDropCandidate::GetData | ( | IDType | inFlavor,
|  | MFDragDropType | inMoveOrCopy,
|  | void ** | outData |
| ) |  |  | `[pure virtual]`

Returns the data of the object in a given format.

Parameters:

  | inFlavor | The format of the data.
  | inMoveOrCopy | Specifies whether the data should be copied or moved.
  | outData | The data.

Implemented in TBasicDropCandidate.

virtual void MCCOMAPI IMFExDropCandidate::GetOfferedFlavors | ( | TMFDragFlavors & | outFlavors | ) | `[pure virtual]`

Returns the list of format in which the data can be converted.

Parameters:

  | outFlavors | The list of formats.

Implemented in TBasicDropCandidate.

virtual void MCCOMAPI IMFExDropCandidate::GetOrigin | ( | void ** | outOrigin | ) | `[pure virtual]`

Returns the origin (for example the scene for an instance) of the drop candidate for use in determining whether to move or copy the item (clients should check for non-NULL).

Parameters:

  | outOrigin | A pointer to the origin.

Implemented in TBasicDropCandidate.

virtual boolean MCCOMAPI IMFExDropCandidate::NeedToBeDropedOnTree | ( | IDType | inFlavor,
|  | MFDragDropType | inMoveOrCopy |
| ) |  |  | `[pure virtual]`

Implemented in TBasicDropCandidate.

virtual void MCCOMAPI IMFExDropCandidate::OnNoDrag | ( |  | ) | `[pure virtual]`

Called when no drag occured.

Implemented in TBasicDropCandidate.

virtual void MCCOMAPI IMFExDropCandidate::PrepareToDrag | ( |  | ) | `[pure virtual]`

Called at the beginning of the drap

Implemented in TBasicDropCandidate.

The documentation for this struct was generated from the following file:

- IMFDragDrop.h